Get Audit Logs
https://app.fossa.com/api/audit_logsRetrieves a list of audit logs.
Query parameters
offsetinteger <int32>The number of records to skip
limitinteger <int32>The number of records to return
sortByenumThe field to sort by (defaults to createdAt)
idactingUserIdactingUserEmailactingUserNameactingUserRoleorganizationIduserIdteamIdbuildIddependencyIdlicenseIdpolicyIdprojectIdruleIdlocatorrevisionLicenseIdissueIdactiontopicnameold_valuenew_valuedescriptioncreatedAtsortDirenumThe direction to sort by (defaults to DESC)
ASCDESCstartDatestring <date-time>The start date to filter audit logs to
endDatestring <date-time>The end date to filter audit logs to
actingUserIds[]string[]The acting user IDs to filter audit logs to
actions[]string[]The actions to filter audit logs to
topics[]string[]The topics to filter audit logs to
topicActions[]string[]The topic actions to filter audit logs to
startingAfterstringThe audit log row id to start after (exclusive). Used as a cursor for pagination.
endingBeforestringThe id to end before to filter audit logs to
Responses
200Audit log listArray of:
idintegerThe unique identifier for the audit log.
actingUserIdinteger | nullThe unique identifier for the user who performed the action.
actingUserEmailstring | nullThe email address of the user who performed the action.
actingUserNamestring | nullThe name of the user who performed the action.
actingUserRolestring | nullThe role of the user who performed the action.
organizationIdinteger | nullThe unique identifier for the organization.
userIdinteger | nullThe unique identifier for the user.
teamIdinteger | nullThe unique identifier for the team.
buildIdinteger | nullThe unique identifier for the build.
dependencyIdstring | nullThe unique identifier for the dependency.
licenseIdstring | nullThe unique identifier for the license.
policyIdinteger | nullThe unique identifier for the policy.
projectIdstring | nullThe unique identifier for the project.
ruleIdinteger | nullThe unique identifier for the rule.
locatorstring | nullThe locator for the dependency.
revisionLicenseIdinteger | nullThe unique identifier for the revision license.
issueIdinteger | nullThe unique identifier for the issue.
actionstringThe action that was performed.
topicstringThe topic of the action.
namestring | nullThe name of the action.
old_valuestring | nullThe old value before the change.
new_valuestring | nullThe new value after the change.
descriptionstring | nullThe description of the action.
createdAtstringThe date and time the action was performed.
403Forbidden500Server ErroruuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
Try this endpoint
Build a request and run it against app.fossa.com.
Stored in this browser for 24 hours. Try It uses a docs proxy for CORS and does not store tokens server-side.
GET https://app.fossa.com/api/audit_logscurl --request GET \ --url 'https://app.fossa.com/api/audit_logs' \ --header 'accept: application/json' \ --header 'authorization: Bearer YOUR_API_TOKEN'Real request. Mutating methods can change data.
Query params
offsetintegerThe number of records to skip
limitintegerThe number of records to return
sortByenumThe field to sort by (defaults to createdAt)
sortDirenumThe direction to sort by (defaults to DESC)
startDatestringThe start date to filter audit logs to
endDatestringThe end date to filter audit logs to
actingUserIds[]arrayThe acting user IDs to filter audit logs to
actions[]arrayThe actions to filter audit logs to
topics[]arrayThe topics to filter audit logs to
topicActions[]arrayThe topic actions to filter audit logs to
startingAfterstringThe audit log row id to start after (exclusive). Used as a cursor for pagination.
endingBeforestringThe id to end before to filter audit logs to